module Main where

import Eval     (evalTricu, result)
import Library  (library)
import Parser   (parseTricu)
import REPL     (repl)
import Research (T)

import Text.Megaparsec (runParser)

import qualified Data.Map as Map

main :: IO ()
main = do
  putStrLn "Welcome to the tricu Interpreter"
  putStrLn "You can exit at any time by typing and entering: "
  putStrLn ":_exit"
  repl library

runTricu :: String -> T
runTricu s = result (evalTricu Map.empty $ parseTricu s)
runTricuEnv env s = result (evalTricu env $ parseTricu s)
